为广告客户获取产品评论
方法适用于模式:FBY, FBS, Express 和 DBS.
目前不适用于卖家Market Yandex Go.
如果您使用API-Key令牌,调用该方法时需要具备列表中可用权限之一
- communication — 与买家沟通
- all-methods — 全面管理账户
- all-methods:read-only — 查看所有数据
根据指定的过滤器返回品牌产品的评论。 例外情况: 被客户或市场删除的评论。
结果逐页返回。
评论按发布顺序排列,因此您可以将特定页面ID发送到 pageToken 如果你以前收到过。
⚙️ 限额: 10 000 请求 每小时 |
|---|
Request
POST
https://api.partner.market.yandex.ru/v1/businesses/{businessId}/goods-feedback-advertiser
Path parameters
|
Name |
Description |
|
businessId |
Type: integer 内阁ID。 Min value: |
Query parameters
|
Name |
Description |
|
limit |
Type: integer 每页的值数。 Default: Min value: Max value: |
|
pageToken |
Type: string 结果页面的ID。 如果省略该参数,则返回第一页。 传递输出参数的值 Example: `` |
|
sourceType |
Type: string 指示代表调用该方法的机柜类型:
机柜类型:
Enum: |
Body
application/json
{
"feedbackIds": [
0
],
"dateTimeFrom": "2020-02-02T14:30:30+03:00",
"dateTimeTo": "2020-02-02T14:30:30+03:00",
"reactionStatus": "ALL",
"ratingValues": [
0
],
"paid": true
}
|
Name |
Description |
|
dateTimeFrom |
Type: string<date-time> 期的开始。 不包括在内。 如果省略该参数,则在指定的日期前6个月返回信息 最大间隔为6个月。 Example: |
|
dateTimeTo |
Type: string<date-time> 期结束。 不包括在内。 如果省略该参数,则使用当前日期。 最大间隔为6个月。 Example: |
|
feedbackIds |
Type: integer[] | null 审核Id。 ⚠️ 不要与其他过滤器在同一时间使用此字段。 如果要使用它们,请将该字段留空。 Min items: Max items: Unique items: Example
|
|
paid |
Type: boolean 过滤评论加分。 |
|
ratingValues |
Type: integer[] | null 品评价。 Min items: Max items: Unique items: Example
|
|
reactionStatus |
Type: string 对检讨的回应情况:
Enum: |
Responses
200 OK
评论列表。
Body
application/json
{
"status": "OK",
"result": {
"feedbacks": [
{
"feedbackId": 0,
"createdAt": "2025-01-01T00:00:00Z",
"needReaction": true,
"context": {},
"author": "example",
"description": {},
"media": {},
"statistics": {}
}
],
"paging": {
"nextPageToken": "example"
}
}
}
Type: object
All of 2 types
-
Type: object
status
Type: string
响应的类型。 可能的值:
OK— 没有错误。ERROR— 处理请求时出错。
Enum:
OK,ERROR服务器响应的标准包装器。
Example
{ "status": "OK" } -
Type: object
result
Type: object
feedbacks
Type: object[]
context
Type: object
brandId
Type: string
产品品牌ID。
Example:
examplebrandName
Type: string
品的品牌名称。
Example:
examplebusinessId
Type: integer
内阁ID。
Min value:
1businessName
Type: string
对其产品进行审核的企业名称。
Example:
exampleofferName
Type: string
留下审查的产品名称。
Example:
examplepictureUrl
Type: string
Min length:
1Max length:
2000Example:
example与审核相关联的产品、业务和品牌信息。
Example
{ "offerName": "example", "pictureUrl": "example", "businessId": 1, "businessName": "example", "brandId": "example", "brandName": "example" }createdAt
Type: string<date-time>
创建审核的日期和时间。
Example:
2025-01-01T00:00:00ZfeedbackId
Type: integer
的审查ID。
needReaction
Type: boolean
审查是否已阅读。
取值
false如果广告客户:- 我在UrbanAds帐户中阅读了评论。
- 我错过了对评论的反应 — 方法 POST v2/businesses/{businessId}/goods-feedback/skip-reaction.
- 对评论发表评论 — 方法 POST v2/businesses/{businessId}/goods-feedback/comments/update.
statistics
Type: object
commentsCount
Type: integer
评论的数量。
只计算对评论的回复,而不是子评论。
rating
Type: integer
品评价。
Min value:
1Max value:
5paidAmount
Type: integer
作者为审查收到的加分数。
recommended
Type: boolean
是否推荐此产品。
有关审查的统计信息。
Example
{ "rating": 1, "commentsCount": 0, "recommended": true, "paidAmount": 0 }author
Type: string
评论作者的姓名。
Example:
exampledescription
Type: object
advantages
Type: string
在评论中描述产品的优点。
Example:
examplecomment
Type: string
评论中的评论。
Example:
exampledisadvantages
Type: string
在评论中描述产品的缺点。
Example:
example审查的文本部分。
Example
{ "advantages": "example", "disadvantages": "example", "comment": "example" }media
Type: object
photos
Type: string[] | null
链接到照片。
Min items:
1Unique items:
trueExample
[ "example" ]videos
Type: string[] | null
链接到视频。
Min items:
1Unique items:
trueExample
[ "example" ]照片和视频。
Example
{ "photos": [ "example" ], "videos": [ "example" ] }评论列表。
Example
[ { "feedbackId": 0, "createdAt": "2025-01-01T00:00:00Z", "needReaction": true, "context": { "offerName": "example", "pictureUrl": "example", "businessId": 1, "businessName": "example", "brandId": "example", "brandName": "example" }, "author": "example", "description": { "advantages": "example", "disadvantages": "example", "comment": "example" }, "media": { "photos": [ "example" ], "videos": [ "example" ] }, "statistics": { "rating": 1, "commentsCount": 0, "recommended": true, "paidAmount": 0 } } ]paging
Type: object
nextPageToken
Type: string
下一个结果页面的ID。
Example:
example下一页的ID。
Example
{ "nextPageToken": "example" }产品评论列表。
Example
{ "feedbacks": [ { "feedbackId": 0, "createdAt": "2025-01-01T00:00:00Z", "needReaction": true, "context": { "offerName": "example", "pictureUrl": "example", "businessId": 1, "businessName": "example", "brandId": "example", "brandName": "example" }, "author": "example", "description": { "advantages": "example", "disadvantages": "example", "comment": "example" }, "media": { "photos": [ "example" ], "videos": [ "example" ] }, "statistics": { "rating": 1, "commentsCount": 0, "recommended": true, "paidAmount": 0 } } ], "paging": { "nextPageToken": "example" } }Example
{ "result": { "feedbacks": [ { "feedbackId": 0, "createdAt": "2025-01-01T00:00:00Z", "needReaction": true, "context": { "offerName": "example", "pictureUrl": "example", "businessId": 1, "businessName": "example", "brandId": "example", "brandName": "example" }, "author": "example", "description": { "advantages": "example", "disadvantages": "example", "comment": "example" }, "media": { "photos": [ null ], "videos": [ null ] }, "statistics": { "rating": 1, "commentsCount": 0, "recommended": true, "paidAmount": 0 } } ], "paging": { "nextPageToken": "example" } } }
400 Bad Request
请求包含不正确的数据。 有关错误的更多信息
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
响应的类型。 可能的值:
OK— 没有错误。ERROR— 处理请求时出错。
Enum:
OK,ERROR服务器响应的标准包装器。
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
的错误代码。
Example:
examplemessage
Type: string
错误的描述。
Example:
example错误列表。
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
服务器错误的标准包装器。
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -
401 Unauthorized
请求中未指定授权数据。 有关错误的更多信息
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
响应的类型。 可能的值:
OK— 没有错误。ERROR— 处理请求时出错。
Enum:
OK,ERROR服务器响应的标准包装器。
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
的错误代码。
Example:
examplemessage
Type: string
错误的描述。
Example:
example错误列表。
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
服务器错误的标准包装器。
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -
403 Forbidden
授权数据不正确或禁止访问资源。 有关错误的更多信息
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
响应的类型。 可能的值:
OK— 没有错误。ERROR— 处理请求时出错。
Enum:
OK,ERROR服务器响应的标准包装器。
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
的错误代码。
Example:
examplemessage
Type: string
错误的描述。
Example:
example错误列表。
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
服务器错误的标准包装器。
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -
404 Not Found
未找到请求的资源。 有关错误的更多信息
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
响应的类型。 可能的值:
OK— 没有错误。ERROR— 处理请求时出错。
Enum:
OK,ERROR服务器响应的标准包装器。
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
的错误代码。
Example:
examplemessage
Type: string
错误的描述。
Example:
example错误列表。
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
服务器错误的标准包装器。
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -
420 Method Failure
已超出资源访问限制。 有关错误的更多信息
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
响应的类型。 可能的值:
OK— 没有错误。ERROR— 处理请求时出错。
Enum:
OK,ERROR服务器响应的标准包装器。
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
的错误代码。
Example:
examplemessage
Type: string
错误的描述。
Example:
example错误列表。
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
服务器错误的标准包装器。
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -
500 Internal Server Error
Yandex的内部错误。 市场。 有关错误的更多信息
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
响应的类型。 可能的值:
OK— 没有错误。ERROR— 处理请求时出错。
Enum:
OK,ERROR服务器响应的标准包装器。
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
的错误代码。
Example:
examplemessage
Type: string
错误的描述。
Example:
example错误列表。
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
服务器错误的标准包装器。
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -